Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.kernel
Class WarbotStructure

    java.lang.Object
      SEdit.Structure
          warbot.kernel.WarbotStructure

    public class WarbotStructure

extends Structure

Field Summary

Fields inherited from class SEdit.Structure
`agent, arrowList, description, displayGrid, editor, formalism, gridSize, modified, nodeList, snapToGrid`

Constructor Summary
`WarbotStructure()`

Method Summary
`void` | `activate()`
`void` | `addNode(SNode o)`
`void` | `addNode(SNode o, java.lang.String s)`
`void` | `end()` Close the structure by deleting all entities before closing.
`int` | `getWorldHeight()`
`int` | `getWorldWidth()`
`void` | `mapViewer()`
`void` | `preactivate()`
`void` | `setWorldHeight(int v)`
`void` | `setWorldWidth(int v)`
`void` | `showDetect()`
`void` | `showMessages()`
`void` | `showUserMessage()`
`void` | `start()`
`void` | `step()`
`void` | `stop()`

Methods inherited from class SEdit.Structure
`addArrow, addArrow, clearAll, createNode, deleteAll, drawBackground, dump, existID, getAgent, getArrow, getArrowFromLabel, getArrows, getDescription, getDisplayGrid, getEditor, getFormalism, getGridSize, getNode, getNodeFromLabel, getNodes, getSnapToGrid, initStructure, isConnectable, newArrowID, newNodeID, removeArrow, removeNode, setAgent, setDescription, setDisplayGrid, setEditor, setFormalism, setGridSize, setSnapToGrid, setSnapToGrid1, toggleShowGrid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WarbotStructure

    public WarbotStructure()

Method Detail

### setWorldWidth

    public void setWorldWidth(int v)

### getWorldWidth

    public int getWorldWidth()

### setWorldHeight

    public void setWorldHeight(int v)

### getWorldHeight

    public int getWorldHeight()

### preactivate

    public void preactivate()

  Overrides:
    `preactivate` in class `Structure`

### activate

    public void activate()

  Overrides:
    `activate` in class `Structure`

### addNode

    public void addNode(SNode o)

  Overrides:
    `addNode` in class `Structure`

### addNode

    public void addNode(SNode o,
                        java.lang.String s)

  Overrides:
    `addNode` in class `Structure`

### end

    public void end()

  Close the structure by deleting all entities before closing. Is used to delete all agents that are related to entities

  Overrides:
    `end` in class `Structure`

### mapViewer

    public void mapViewer()

### showDetect

    public void showDetect()

### showUserMessage

    public void showUserMessage()

### showMessages

    public void showMessages()

### start

    public void start()

### stop

    public void stop()

### step

    public void step()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.